Skip to main content
`Ctrl`+`K`

# PetscSpaceViewFromOptions

View a `PetscSpace` based on values in the options database

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceViewFromOptions(PetscSpace A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `PetscSpace` object

- obj - Optional object that provides the options name prefix

- name - command line option name

## See Also

`PetscSpace`, `PetscSpaceView()`, `PetscObjectViewFromOptions()`, `PetscSpaceCreate()`

## Level

intermediate

## Location

src/dm/dt/space/interface/space.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages